package studio.halbear.hem.procedures;

import studio.halbear.hem.HemMod;

import net.minecraft.item.ItemStack;

import java.util.Map;

public class GasCanister612litreItemIsCraftedsmeltedProcedure {

	public static void executeProcedure(Map<String, Object> dependencies) {
		if (dependencies.get("itemstack") == null) {
			if (!dependencies.containsKey("itemstack"))
				HemMod.LOGGER.warn("Failed to load dependency itemstack for procedure GasCanister612litreItemIsCraftedsmelted!");
			return;
		}
		ItemStack itemstack = (ItemStack) dependencies.get("itemstack");
		itemstack.getOrCreateTag().putDouble("GasFilled", 612);
		itemstack.getOrCreateTag().putString("Contents", "Helium");
	}
}
